Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.flow
Class MarginInfo

    java.lang.Object
      org.apache.batik.gvt.flow.MarginInfo

    public class MarginInfo

extends Object

Field Summary
`static int` | `ALIGN_END`
`static int` | `ALIGN_FULL`
`static int` | `ALIGN_MIDDLE`
`static int` | `ALIGN_START`
`protected int` | `alignment`
`protected float` | `bottom`
`protected boolean` | `flowRegionBreak`
`protected boolean` | `fontSizeRelative`
`protected float` | `indent`
`protected float` | `left`
`protected float` | `lineHeight`
`protected float` | `right`
`protected float` | `top`

Constructor Summary
`MarginInfo(float top, float right, float bottom, float left, float indent, int alignment, float lineHeight, boolean fontSizeRelative, boolean flowRegionBreak)`
`MarginInfo(float margin, int alignment)`

Method Summary
`float` | `getBottomMargin()`
`float` | `getIndent()`
`float` | `getLeftMargin()`
`float` | `getLineHeight()`
`float` | `getRightMargin()`
`int` | `getTextAlignment()`
`float` | `getTopMargin()`
`boolean` | `isFlowRegionBreak()`
`boolean` | `isFontSizeRelative()`
`void` | `setMargin(float margin)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALIGN_START

    public static final int ALIGN_START

See Also:
  Constant Field Values

### ALIGN_MIDDLE

    public static final int ALIGN_MIDDLE

See Also:
  Constant Field Values

### ALIGN_END

    public static final int ALIGN_END

See Also:
  Constant Field Values

### ALIGN_FULL

    public static final int ALIGN_FULL

See Also:
  Constant Field Values

### top

    protected float top

### right

    protected float right

### bottom

    protected float bottom

### left

    protected float left

### indent

    protected float indent

### alignment

    protected int alignment

### lineHeight

    protected float lineHeight

### fontSizeRelative

    protected boolean fontSizeRelative

### flowRegionBreak

    protected boolean flowRegionBreak

Constructor Detail

### MarginInfo

    public MarginInfo(float top,
                      float right,
                      float bottom,
                      float left,
                      float indent,
                      int alignment,
                      float lineHeight,
                      boolean fontSizeRelative,
                      boolean flowRegionBreak)

### MarginInfo

    public MarginInfo(float margin,
                      int alignment)

Method Detail

### setMargin

    public void setMargin(float margin)

### getTopMargin

    public float getTopMargin()

### getRightMargin

    public float getRightMargin()

### getBottomMargin

    public float getBottomMargin()

### getLeftMargin

    public float getLeftMargin()

### getIndent

    public float getIndent()

### getTextAlignment

    public int getTextAlignment()

### getLineHeight

    public float getLineHeight()

### isFontSizeRelative

    public boolean isFontSizeRelative()

### isFlowRegionBreak

    public boolean isFlowRegionBreak()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.